summaryrefslogtreecommitdiff
path: root/dev-python/elementpath/elementpath-4.0.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-02 00:51:37 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-02 00:51:37 +0000
commit55e7741e6ca36af90586ad49ae9b225ee2d7a130 (patch)
tree104d66dc71c2f4da8cde6e087488aca380238b76 /dev-python/elementpath/elementpath-4.0.0.ebuild
parent57ea7dd5ea82237ed2f4d2027ac7b711c1dc034a (diff)
downloadbaldeagleos-repo-55e7741e6ca36af90586ad49ae9b225ee2d7a130.tar.gz
baldeagleos-repo-55e7741e6ca36af90586ad49ae9b225ee2d7a130.tar.xz
baldeagleos-repo-55e7741e6ca36af90586ad49ae9b225ee2d7a130.zip
Adding metadata
Diffstat (limited to 'dev-python/elementpath/elementpath-4.0.0.ebuild')
-rw-r--r--dev-python/elementpath/elementpath-4.0.0.ebuild38
1 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/elementpath/elementpath-4.0.0.ebuild b/dev-python/elementpath/elementpath-4.0.0.ebuild
new file mode 100644
index 000000000000..15eeb85051d6
--- /dev/null
+++ b/dev-python/elementpath/elementpath-4.0.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="XPath 1.0/2.0 parsers and selectors for ElementTree and lxml"
+HOMEPAGE="
+ https://github.com/sissaschool/elementpath/
+ https://pypi.org/project/elementpath/
+"
+SRC_URI="
+ https://github.com/sissaschool/elementpath/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+BDEPEND="
+ test? (
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/xmlschema[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # fails for some reason, more fit for upstream testing anyway
+ rm tests/test_typing.py || die
+ distutils-r1_src_prepare
+}